=== modified file 'drizzled/Makefile.am'
--- drizzled/Makefile.am	2008-10-22 01:52:54 +0000
+++ drizzled/Makefile.am	2008-10-22 21:18:04 +0000
@@ -214,7 +214,7 @@
 		slave.cc \
 		sql_base.cc \
 		sql_binlog.cc \
-		sql_builtin.cc 
+		sql_builtin.cc \
 		sql_class.cc \
 		sql_client.cc \
 		sql_connect.cc \

=== modified file 'drizzled/common_includes.h'
--- drizzled/common_includes.h	2008-10-22 01:52:54 +0000
+++ drizzled/common_includes.h	2008-10-22 21:18:04 +0000
@@ -83,6 +83,8 @@
 /* Definition of the MY_LOCALE struct and some convenience functions */
 #include <drizzled/sql_locale.h>
 
+#include <drizzled/korr.h>
+
 #ifdef HAVE_DTRACE
 #define _DTRACE_VERSION 1
 #else

=== modified file 'drizzled/drizzle_common.h'
--- drizzled/drizzle_common.h	2008-10-22 01:52:54 +0000
+++ drizzled/drizzle_common.h	2008-10-22 21:18:04 +0000
@@ -22,11 +22,12 @@
 */
 
 #ifndef DRIZZLED_DRIZZLE_COMMON_H
-#define DRIZZLED_DRIZZLE_COMMON__H
+#define DRIZZLED_DRIZZLE_COMMON_H
 
 #include <unistd.h>
 #include <stdbool.h>
 #include <stdint.h>
+#include <drizzled/korr.h>
 
 /*
    This is included in the server and in the client.
@@ -403,27 +404,7 @@
 #define NET_HEADER_SIZE 4		/* standard header size */
 #define COMP_HEADER_SIZE 3		/* compression header extra size */
 
-  /* Prototypes to password functions */
-
-#ifdef __cplusplus
-extern "C" {
-#endif
-
-
-  char *get_tty_password(const char *opt_message);
-
-  uint32_t net_field_length(unsigned char **packet);
-  uint64_t net_field_length_ll(unsigned char **packet);
-  unsigned char *net_store_length(unsigned char *pkg, uint64_t length);
-
-
-
-#ifdef __cplusplus
-}
-#endif
 
 #define NULL_LENGTH UINT32_MAX /* For net_store_length */
-#define DRIZZLE_STMT_HEADER       4
-#define DRIZZLE_LONG_DATA_HEADER  6
 
 #endif

=== modified file 'drizzled/log_event.cc'
--- drizzled/log_event.cc	2008-10-22 01:23:15 +0000
+++ drizzled/log_event.cc	2008-10-22 21:18:04 +0000
@@ -22,6 +22,7 @@
 #include "rpl_record.h"
 #include <mysys/my_dir.h>
 #include <drizzled/drizzled_error_messages.h>
+#include <libdrizzle/pack.h>
 
 #include <algorithm>
 

=== modified file 'drizzled/protocol.cc'
--- drizzled/protocol.cc	2008-10-20 04:28:21 +0000
+++ drizzled/protocol.cc	2008-10-22 21:18:04 +0000
@@ -22,6 +22,7 @@
 #include <drizzled/server_includes.h>
 #include <drizzled/drizzled_error_messages.h>
 #include <drizzled/sql_state.h>
+#include <libdrizzle/pack.h>
 
 static const unsigned int PACKET_BUFFER_EXTRA_ALLOC= 1024;
 /* Declared non-static only because of the embedded library. */

=== modified file 'drizzled/sql_class.h'
--- drizzled/sql_class.h	2008-10-22 01:23:15 +0000
+++ drizzled/sql_class.h	2008-10-22 21:18:04 +0000
@@ -23,6 +23,7 @@
 #include <drizzled/global.h>
 #include "log.h"
 #include "rpl_tblmap.h"
+#include <libdrizzle/password.h>     // rand_struct
 
 class Relay_log_info;
 
@@ -98,7 +99,7 @@
 
 class Key_part_spec :public Sql_alloc {
 public:
-  const LEX_STRING field_name;
+  LEX_STRING field_name;
   uint32_t length;
   Key_part_spec(const LEX_STRING &name, uint32_t len)
     : field_name(name), length(len)

=== modified file 'libdrizzle/client.c'
--- libdrizzle/client.c	2008-10-22 01:23:15 +0000
+++ libdrizzle/client.c	2008-10-22 21:18:04 +0000
@@ -42,6 +42,7 @@
 #include <libdrizzle/libdrizzle.h>
 #include <libdrizzle/net_serv.h>
 #include "libdrizzle_priv.h"
+#include <libdrizzle/pack.h>
 
 #include <sys/poll.h>
 #include <sys/ioctl.h>

=== modified file 'libdrizzle/drizzle.c'
--- libdrizzle/drizzle.c	2008-10-22 01:52:54 +0000
+++ libdrizzle/drizzle.c	2008-10-22 21:18:04 +0000
@@ -21,6 +21,7 @@
 
 #include <drizzled/drizzle_common.h>
 #include <libdrizzle/libdrizzle.h>
+#include <libdrizzle/pack.h>
 #include <libdrizzle/errmsg.h>
 #include <libdrizzle/drizzle.h>
 #include <drizzled/gettext.h>

=== modified file 'libdrizzle/get_password.c'
--- libdrizzle/get_password.c	2008-10-02 18:09:31 +0000
+++ libdrizzle/get_password.c	2008-10-22 21:18:04 +0000
@@ -21,12 +21,15 @@
 ** Ask for a password from tty
 ** This is an own file to avoid conflicts with curses
 */
+#include "config.h"
 #include "libdrizzle.h"
+#include <libdrizzle/get_password.h>
 
 #include <string.h>
 #include <stdio.h>
 #include <stdlib.h>
 #include <ctype.h>
+#include <unistd.h>
 
 #include <sys/ioctl.h>
 #ifdef HAVE_TERMIOS_H				/* For tty-password */

=== modified file 'libdrizzle/libdrizzle.c'
--- libdrizzle/libdrizzle.c	2008-10-16 06:45:16 +0000
+++ libdrizzle/libdrizzle.c	2008-10-22 21:18:04 +0000
@@ -19,6 +19,7 @@
 
 #include "libdrizzle.h"
 #include "libdrizzle_priv.h"
+#include <libdrizzle/pack.h>
 #include "errmsg.h"
 #include <sys/stat.h>
 #include <signal.h>

=== modified file 'libdrizzle/libdrizzle_priv.h'
--- libdrizzle/libdrizzle_priv.h	2008-09-16 04:26:53 +0000
+++ libdrizzle/libdrizzle_priv.h	2008-10-22 21:18:04 +0000
@@ -22,6 +22,7 @@
 
 #include <sys/socket.h>
 #include <libdrizzle/drizzle.h>
+#include <drizzled/korr.h>
 
 #define CLIENT_CAPABILITIES (CLIENT_LONG_PASSWORD | CLIENT_LONG_FLAG |  \
                              CLIENT_TRANSACTIONS |                      \

=== modified file 'libdrizzle/net_serv.c'
--- libdrizzle/net_serv.c	2008-10-17 22:55:07 +0000
+++ libdrizzle/net_serv.c	2008-10-22 21:18:04 +0000
@@ -18,6 +18,7 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
+#include "config.h"
 #include "libdrizzle.h"
 #include "libdrizzle_priv.h"
 #include <libdrizzle/errmsg.h>

=== modified file 'libdrizzle/pack.c'
--- libdrizzle/pack.c	2008-09-16 09:41:23 +0000
+++ libdrizzle/pack.c	2008-10-22 21:18:04 +0000
@@ -18,6 +18,8 @@
  */
 
 #include "libdrizzle.h"
+#include <libdrizzle/pack.h>
+#include <drizzled/korr.h>
 #include <stdint.h>
 
 /* Get the length of next field. Change parameter to point at fieldstart */

=== modified file 'libdrizzle/password.c'
--- libdrizzle/password.c	2008-10-16 06:45:16 +0000
+++ libdrizzle/password.c	2008-10-22 21:18:04 +0000
@@ -64,6 +64,7 @@
 
 #include "libdrizzle.h"
 #include "libdrizzle_priv.h"
+#include <libdrizzle/password.h>
 #include <stdlib.h>
 #include <string.h>
 

